
QGIS Application - Bug report #8307

Old and new labeling engine

2013-07-16 05:49 AM - Tomasz Nycz

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17101

Description

Opening an existing project activates Old Labeling Engine parallely, where was a new engine selected. Both labels are visible.

History

#1 - 2013-07-16 05:54 AM - Nathan Woodrow

Is this a old 1.8 project with old labeling enabled.  Can you share the project file so we can take a look at the xml.

#2 - 2013-07-16 06:14 AM - Tomasz Nycz

- File 100k.qgs added

Sorry, but I overwrite this settings :(

It was 1.9.0 project, and I was using only new labeling. I've attached it, but now it's probably useless for you.

#3 - 2013-07-16 06:19 AM - Tomasz Nycz

- File messtischblatt.qgs added

I've found another project "forked" from 100k, and there bug is reproducible. Qgis project file attached

#4 - 2013-07-16 08:41 AM - Jürgen Fischer

- Status changed from Open to Feedback

Tomasz Nycz wrote:

I've found another project "forked" from 100k, and there bug is reproducible. Qgis project file attached

And the old labeling was somehow enabled automatically?

It's not a bug that you can you both labeling engines on the same layer at the same time.  And in your .qgs there are occurences of <label>1</label>, which

means old labeling is enabled.
#5 - 2013-07-16 09:14 AM - Tomasz Nycz

Jürgen Fischer wrote:

And the old labeling was somehow enabled automatically?

It's not a bug that you can you both labeling engines on the same layer at the same time.  And in your .qgs there are occurences of <label>1</label>

, which means old labeling is enabled.

Yes. It was enabled automatically after opening project with latest qgis-master. Every project with new labels that I tried has the same.

And using both labeling engines is not a bug, it's feature... But automatically changing labeling settings for every project is not a thing which is expected.

#6 - 2013-07-16 09:35 AM - Jürgen Fischer

Tomasz Nycz wrote:

And using both labeling engines is not a bug, it's feature... But automatically changing labeling settings for every project is not a thing which is

expected.

Right.  Just asking because in messtischblatt.qgs both engines are enabled on the layers osm_miejsca and osm_ochrona_przyrody.

#7 - 2013-07-16 04:05 PM - Nathan Woodrow

I can't reproduce here with my of my projects. How long ago did you create that project?

#8 - 2013-07-16 09:26 PM - Tomasz Nycz

I've started it in March 2013 (in qgis-master). And Messtischblatt was "forked" in June. And there was no problem before yesterday.

#9 - 2013-07-17 12:16 AM - Jürgen Fischer

Tomasz Nycz wrote:

I've started it in March 2013 (in qgis-master). And Messtischblatt was "forked" in June. And there was no problem before yesterday.

And what is the exact problem?  messtischblatt.qgs has both labeling engines enabled.   So it's ok, if both labels are visible and I would have been a bug,

that you didn't see them before.

Or is the project in the state after loading (and resaving) with the affected version?  In that case a project in a version before and after might be more

helpful.

#10 - 2013-07-17 12:17 AM - Jürgen Fischer

Jürgen Fischer wrote:
And what is the exact problem?  messtischblatt.qgs has both labeling engines enabled.   So it's ok, if both labels are visible and I would have been a

bug, that you didn't see them before.

And the bug might have been #8030

#11 - 2013-07-18 04:07 PM - Nathan Woodrow

- Resolution set to worksforme

- Status changed from Feedback to Closed

I can't reproduce here with a new project created in the latest version of master.  This might have a been a bug when some of the label stuff was getting

reworked. Closing for now.

Files

qgis_labeling_issue.png 874 KB 2013-07-16 Tomasz Nycz

100k.qgs 192 KB 2013-07-16 Tomasz Nycz

messtischblatt.qgs 193 KB 2013-07-16 Tomasz Nycz
